{$uid = $instance->getUid()}
{if empty($isPreview)}
<div class="css-accordion" itemscope itemtype="https://schema.org/FAQPage">
{/if}
{accordion id=$uid style=$instance->getStyleString() class=$instance->getStyleClasses()}
    {foreach $instance->getProperty('groups') as $i => $group}
        {$groupId = $uid|cat:'-'|cat:$i}
        {$areaId = 'group-'|cat:$i}

        {if $isPreview}
            <div class="faq-Accordion opc-Accordion-group">
                <div id="heading-{$groupId}" >
                    <a href="#" data-toggle="collapse" data-target="#{$groupId}" class="opc-Accordion-head collapsed"
                       data-parent="#{$uid}"
                       itemprop="name"
                       >
                        {$group|escape:'html'} <i class="fas fa-chevron-up"></i>
                    </a>
                </div>
                {collapse
                    id=$groupId
                    visible = $i === 0 && $instance->getProperty('expanded') === true
                    data=['parent' => '#'|cat:$uid]
                    aria=['labelledby' => 'heading-'|cat:$groupId]
                    class='opc-Accordion-collapse'
                }
                    <div class="opc-area" data-area-id="{$areaId}">
                        {$instance->getSubareaPreviewHtml($areaId)}
                    </div>
                {/collapse}
            {*{/card}*}
            </div>
        {else}
<div  itemscope itemprop="mainEntity" itemtype="https://schema.org/Question">
            {if $i === 0 && $instance->getProperty('expanded') === true}
                {$ariaExpanded = 'true'}
            {else}
                {$ariaExpanded = 'false'}
            {/if}

            {card no-body=true}
                {cardheader id='heading-'|cat:$groupId}
                    <div class="h2" style="margin-bottom: 0">
                        {button
                            variant='link'
                            data=['toggle' => 'collapse', 'target' => '#'|cat:$groupId, 'parent' => '#'|cat:$uid]
                            aria=['expanded' => $ariaExpanded, 'controls' => $groupId]
                        }
                        <span itemprop="name">
                            {$group|escape:'html'}
                        </span>
                        {/button}
                    </div>
                {/cardheader}
                {collapse
                    id=$groupId
                    visible = $i === 0 && $instance->getProperty('expanded') === true
                    data=['parent' => '#'|cat:$uid]
                    aria=['labelledby' => 'heading-'|cat:$groupId]
                    class='opc-Accordion-collapse'
                }
                    {cardbody class='opc-area' data=['area-id' => $areaId]}
                <div itemscope   itemprop="acceptedAnswer" itemtype="https://schema.org/Answer">
	                <div itemprop="text">
                        {$instance->getSubareaFinalHtml($areaId)}
									</div>
								</div>
                    {/cardbody}
                {/collapse}
            {/card}
</div>
        {/if}
    {/foreach}
{/accordion}
{if empty($isPreview)}
</div>
{/if}