<style>
    #opc .slide-entry textarea {
        width:100%;
        margin-top:1.5rem;
    }
    #opc .slide-entry {
        flex-wrap: wrap;
    }
    #opc .slide-props {
        margin-bottom:1rem;
    }
</style>
<script>
    var cssCkConfig =
        {
            baseFloatZIndex: 9000,
            language: adminLang,
            filebrowserBrowseUrl: 'elfinder.php?ckeditor=1&token=' + JTL_TOKEN + '&mediafilesType=image',
            /* custom config */
            toolbarGroups:[
                { name: 'clipboard', groups: ['clipboard', 'undo']},
                { name: 'editing', groups: [ 'spellchecker']},
                { name: 'links'},
                { name: 'insert'},
                '/',
                { name: 'tools'},
                { name: 'document', groups: ['mode', 'document', 'doctools']},
                { name: 'others'},
                { name: 'basicstyles', groups: ['basicstyles', 'cleanup']},
                '/',
                { name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align']},
                { name: 'styles'},
                { name: 'colors'},
                { name: 'about'}
            ],
            format_tags:'p;h1;h2;h3;pre',
            removeDialogTabs:'image:advanced;link:upload;image:Upload',
            allowedContent : true,
            htmlEncodeOutput : false,
            basicEntities : false,
            enterMode : CKEDITOR.ENTER_P,
            entities : false,
            entities_latin : false,
            entities_greek : false,
            ignoreEmptyParagraph : false,
            fillEmptyBlocks : false,
            autoParagraph : false,
            removePlugins : 'exportpdf,language,iframe,flash,font,save,print,preview,search,new'
            /* custom config end */
        };

    if(typeof makeRandomId !== "function") {
        var makeRandomId = n => [...crypto.getRandomValues(new Uint8Array(n))]
           .map((x, i) => (i = x / 255 * 61 | 0, String.fromCharCode(i + (i > 9 ? i > 35 ? 61 : 55 : 48)))).join``;

    $(document).on("blur", "[name='text']",  function() {
        var el = $(this).closest('.slide-entry').find("[name='slides[#SORT#][desc]']");
        $(el).val($(this).val());
    });


    $(document).on("click", ".add-slide-btn:not(.isInit)", function() {
    console.log("done");
    var el = $(".slide-entry:last-Child textarea");
    var tmpId = makeRandomId(15) + $("textarea").length ;
    $(el).attr('id',tmpId);
    console.log(el);
    var el = $(".slide-entry:last-Child .cke");
    $(el).remove();
        CKEDITOR.replace(
            tmpId,
            cssCkConfig
        );
    });

    var adminLang = 'de-DE'.toLowerCase();

    if(!CKEDITOR.lang.languages.hasOwnProperty(adminLang)) {
        adminLang = adminLang.split('-')[0]
    }



    $.each(CKEDITOR.dtd.$removeEmpty, key => {
        CKEDITOR.dtd.$removeEmpty[key] = false;
    });

}

    $('[name="slides[#SORT#][url]"]').each(function() {

        if($(this).val() == 'noPic') {
            console.log(this);
            var el = $(this).closest("div").find('.slide-image-btn');
            console.log("el= ",el);
            $(el).css({ backgroundImage: 'url(opc/gfx/upload-stub.png)'});
        }
    });


    var cssElTextarea = 1;
    $("[name='slides[#SORT#][desc]']").each(function() {
        var el = $(this).closest('.slide-entry');
        $(this).attr('type','hidden').removeAttr("maxlength").addClass("css-desc");
        var newEl = "<textarea id='textarea" + cssElTextarea++ + "' name='text'  class='textarea-text form-control' >" + $(this).val() + "</textarea>";
        $(el).append(newEl);
    });
    $('.textarea-text').each(function() {
        CKEDITOR.replace(
            $(this).attr('id'),
            cssCkConfig
        );
    });

    opc.once('save-config', () => {

        $('textarea').each(function() {

            var el = $(this).closest(".slide-entry").find(".css-desc").val(CKEDITOR.instances[$(this).attr('id')].getData());
            var img = $(this).closest(".slide-entry").find("[name='slides[#SORT#][url]']");
            if($(img).val() == '' ) {
                $(img).val("noPic");
            }

        });

//        $('#textarea-text').val(CKEDITOR.instances['textarea-text'].getData());
    });

</script>
