<?php declare(strict_types=1);
/**
 * 
 * @copyright (c) css-umsetzung
 * 
 */

namespace Plugin\css_portlets\Portlets\CSSsmarty;

use JTL\OPC\InputType;
use JTL\OPC\Portlet;


/**
 * Class Accordion
 * @package JTL\OPC\Portlets
 */
class CSSsmarty extends Portlet
{
    /**
     * @return string
     */
    public function getButtonHtml(): string
    {
        return $this->getFontAwesomeButtonHtml('fas fa-font');
    }

    /**
     * @return array
     */
    public function getPropertyDesc(): array
    {
        return [
            'text' => [
                'label'   => __('text'),
                'type'    => InputType::RICHTEXT,
                'default' => __('exampleRichText'),
            ],
        ];
    }

    /**
     * @return array
     */
    public function getPropertyTabs(): array
    {
        return [
            __('Styles') => 'styles',
        ];
    }
}
