{$imgAttribs = $instance->getImageAttributes()}

{if $isPreview && empty($imgAttribs.src)}
    <div class="opc-Image" style="{$instance->getStyleString()}">
        <div>
            <i class="far fa-image"></i>
            <span>{__('Image')}</span>
        </div>
    </div>
{elseif !empty($imgAttribs.src)}
    {$oArtikel = $portlet->getArticleByArtNr($instance->getProperty('cArtNr'))}
    {$alignCSS = ''}
    {if $instance->getProperty('align') === 'left'}
        {$alignCSS = 'margin-right: auto;'}
    {elseif $instance->getProperty('align') === 'right'}
        {$alignCSS = 'margin-left: auto;'}
    {elseif $instance->getProperty('align') === 'center'}
        {$alignCSS = 'margin-left: auto;margin-right: auto;'}
    {/if}
    {if $isPreview}
        <div class="opc-Image-with-image">
    {/if}
    <div style="max-width: {$imgAttribs.realWidth}px; {$alignCSS}" class="{$instance->getStyleClasses()}">
        {$isArtikel = $instance->getProperty('isArtikel')}

        {if $isArtikel && !$isPreview && !empty($oArtikel)}
        <a href="{$oArtikel->cSeo|escape:'html'}"
                {if $instance->getProperty('new-tab') === true}
            target="_blank"
                {/if}>
            {/if}
            {image
            src=$imgAttribs.src
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            class='img-aspect-ratio'
            width=$imgAttribs.realWidth
            height=$imgAttribs.realHeight
            alt=$imgAttribs.alt|escape:'html'
            title=$imgAttribs.title
            style=$instance->getStyleString()
            rounded=$portlet->getRoundedProp($instance)
            thumbnail=$portlet->getThumbnailProp($instance)
            fluid-grow=true
            webp=true
            attribs=['draggable'=>'false']
            }
            {if $isArtikel && !$isPreview && !empty($oArtikel->cSeo)}

            {if !empty($oArtikel)}
                <div class="css-artikel-caption">
                    <div class="css-link">{$oArtikel->cName}</div>
                </div>
                <div class="css-artikel">
                    {include file='productdetails/price.tpl' Artikel=$oArtikel tplscope='slider' priceLarge=false}
                </div>
                <div class="dea-lieferstatus">
                    {include file='snippets/lieferstatus.tpl' Artikel=$oArtikel}
                </div>
            {/if}

        </a>
        {/if}


    </div>
    {if $isPreview}
        </div>
    {/if}
{/if}