<?php declare(strict_types=1);
/**
 * 
 * @copyright (c) css-umsetzung
 * 
 */

namespace Plugin\css_portlets\Portlets\CSSFAQ;

use JTL\OPC\InputType;
use JTL\OPC\Portlet;


/**
 * Class Accordion
 * @package JTL\OPC\Portlets
 */
class CSSFAQ extends Portlet
{
	
	
    /**
     * @return string
     */
    public function getButtonHtml(): string
    {
        return $this->getFontAwesomeButtonHtml('fas fa-question-circle');
    }

	
    
    /**
     * @return array
     */
    public function getPropertyDesc(): array
    {
        return [
            'groups' =>  [    
            		'type' => InputType::TEXT_LIST,
                'label' => __('groupName'),
                'default' => [__('question')],
            ],
        		
        		'expanded' => [
                'type' => InputType::CHECKBOX,
                'label' => __('unfoldFirstGroup')
            ]
        ];
    }

    /**
     * @return array
     */
    public function getPropertyTabs(): array
    {
        return [
            __('Styles') => 'styles',
        ];
    }
}
